import LanguageText from "components/common/languageText";
import React, { useEffect, useState } from "react";
import { Card, Col, Row } from "react-bootstrap";
import {
  CarouselProvider,
  Slider,
  Slide,
  ButtonBack,
  ButtonNext,
} from "pure-react-carousel";
import "pure-react-carousel/dist/react-carousel.es.css";
import { Link } from "react-router-dom";
import ProductDataAccess from "dataAccess/productDataAccess";

const OfferCategory = () => {
  const [brandData, setBrandData] = useState([]);

  useEffect(() => {
    ProductDataAccess.getAllBrand()
      .then((data) => {
        setBrandData(data.data.brands);
        setTotalProduct(data.data.brands.length);
      })
      .catch((error) => {});
  }, []);
  // const data = [
  //   { name: "Summer Trends (Package offer)", text: "Valid till 27.10.20" },
  //   { name: "Get your sporting kids (25% off)", text: "Valid till 27.10.20" },
  //   { name: "New arrival offers (Buy 1, Get 2)", text: "Valid till 27.10.20" },
  //   { name: "Lady collections (50% discount)", text: "Valid till 27.10.20" },
  // ];

  const [windowWidth, setWindowWidth] = useState(window.innerWidth);
  const [showBrandIndex, setShowBrandIndex] = useState(-1);
  const [seeAllBtn, setSeeAllBtn] = useState(false);
  const [allCategory, setAllCategory] = useState([]);
  const [totalProduct, setTotalProduct] = useState();

  useEffect(() => {
    const handleResize = () => {
      setWindowWidth(window.innerWidth);
    };
    window.addEventListener("resize", handleResize);
    return () => window.removeEventListener("resize", handleResize);
  }, []);

  const getVisibleSlides = () => {
    if (windowWidth > 1200) {
      return 5
    }
    else if (windowWidth > 992) {
      return 4;
    } else if (windowWidth > 768) {
      return 3;
    } else if (windowWidth > 576) {
      return 2;
    } else {
      return 1;
    }
  };
  return (
    <div className="explore-categories">
      <CarouselProvider
        naturalSlideWidth={10}
        naturalSlideHeight={125}
        totalSlides={totalProduct}
        visibleSlides={getVisibleSlides()}
        isIntrinsicHeight={true}
        step={2}
      >
        <Row>
          <Col className="products-row" lg={6} md={6} sm={12} xs={12}>
            <p className="explore-categories-header">
              {/* {" "}
              <LanguageText
                firstKey="page"
                secondKey="explore_categories"
              />{" "} */}
              <Link to="/all-brand">Brands</Link>
            </p>
          </Col>
          <Col lg={6} md={6} sm={12} xs={12}>
            <div className="slider explore-categories-header">
              <Link to="/all-brand">
                {" "}
                <span className="show-all" 
                style={{fontSize:"14px",fontWeight:400,marginRight: "16px",borderBottom: "1px solid #787c87",color: "#787c87" }}> Show All </span>{" "}
              </Link>
              <ButtonBack style={{ background: "transparent", border: "0px" }}>
                <img src="/images/arrowleft.png" alt="Previous product" />
              </ButtonBack>
              &nbsp;
              <ButtonNext style={{ background: "transparent", border: "0px" }}>
                <img src="/images/arrowright.png" alt="Next product" />
              </ButtonNext>
              &nbsp;
            </div>
          </Col>
        </Row>

        <Slider>
          {allCategory !== undefined &&
            brandData.map((brand, index) => (
              <Slide index={index}>
                <Link to={"/brandProducts/" + brand.name}>
                  <Card className="explore-slider flex justify-content-center"
                        style={{
                          padding: "20px",
                          cursor: 'pointer',
                        }}>
                    <img style={{maxWidth: '100%', maxHeight: '100%'}} src={brand.logo_image ? brand.logo_image : '/images/health.png'}/>
                  </Card>
                </Link>
              </Slide>
            ))}
        </Slider>
      </CarouselProvider>
    </div>
  );
};

export default OfferCategory;
